Registry
List curated and org registry cards
Merges global approved cards with the project’s organization cards. Guest-denied. scope defaults to all.
GET
/
projects
/
{projectId}
/
registry
/
servers
List curated and org registry cards
curl --request GET \
--url https://app.mcpjam.com/api/v1/projects/{projectId}/registry/servers \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mcpjam.com/api/v1/projects/{projectId}/registry/servers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mcpjam.com/api/v1/projects/{projectId}/registry/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"scope": "global",
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"publisher": "<string>",
"status": "<string>",
"updatedAt": 123,
"transport": {
"transportType": "<string>",
"url": "<string>",
"useOAuth": true,
"hasOAuthConfig": true,
"oauthScopes": [
"<string>"
]
}
}
],
"nextCursor": "<string>"
}
Authorizations
MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.
Path Parameters
ID of the hosted project that contains the server.
Query Parameters
global, organization, or all.
Was this page helpful?
⌘I
List curated and org registry cards

